/*
 * @(#)XmlQueryStoreParser.java				Jun 17, 2012 8:40:11 PM
 *
 * Copyright 2012 Radeon Systems
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package com.radeonsys.data.querystore.support.xml;

import com.radeonsys.data.querystore.QueryStore;

/**
 * 
 * @author oddjobsman
 */
public interface XmlQueryStoreParser {
	
	/**
	 * Parses a query store from the specified resource location
	 * 
	 * @param resourceLocation	the location of the XML query store resource
	 * @return
	 */
	QueryStore parseQueryStore(String resourceLocation);
}
